
/* start instagram */
.instagram {
	width: 100%;
	position: relative;
	display: flex;
	flex-direction: column;
}
.instagram__first_line {
    width: 100%;
    display: flex;
    flex-direction: row;
    gap: 10px;
    text-align: center;
    align-items: center;
    justify-content: center;
	text-wrap: nowrap;
	font-size: 20px;
	font-weight: bold;
	margin: 50px 0 40px;
}
.blue {
	color: #007FFF;
}
.yellow {
	color: #F6A925;
}
.instagram__first_line::after , .instagram__first_line::before {
	content: "";
	width: -webkit-fill-available;
	height: 1px;
	background: #eee;
}
.instagram__pages {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
}
.instagram__pages.reverse {
    flex-direction: row-reverse;
	margin-top: -32px;
}
.instagram__pages--item {
	display: flex;
	flex-direction: row;
	gap: 10px;
	width: 100%;
	position: relative;
	align-items: center;
}
.instagram__pages--img {
    height: 232px;
    width: 232px;
    background: url("https://www.yejayekhoob.com/Libraries/images/melkMashhad.webp");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
	position: relative;
}
.instagram__pages.reverse .instagram__pages--img {
    background: url("https://www.yejayekhoob.com/Libraries/images/insta_kish.webp");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
}
.instagram__pages--img::before , .instagram__pages--img::after {
	content: "";
	display: block;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 32px;
	background: linear-gradient(to right , #D5EAFF , transparent);
	z-index: -1;
	border-radius: 5px;
}
.instagram__pages--img::after {
	background: linear-gradient(to left , #D5EAFF , transparent);
	top: unset;
	left: unset;
	bottom: 0;
	right: 0;
}
.instagram__pages--info {
	width: calc(100% - 232px);
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 36px;
	margin-bottom: 12px;
}
.instagram__pages--link {
    display: flex;
    flex-direction: row;
    gap: 5px;
    align-items: center;
    border: 1px solid var(--priymary-color);
    border-radius: 3px;
    padding: 10px;
    color: var(--priymary-color);
    font-weight: bold;
    font-size: 20px;
	transition: all .3s ease;
}
.instagram__pages--link:hover {
    scale: 1.05;
    box-shadow: 0 5px 10px #60A7ff50;
}
.instagram__pages--link img {
	filter: var(--filter-priymary-color);
}
.instagram__ads {
    width: 100%;
    text-align: center;
    display: block;
    margin: 40px 0;
    font-size: 20px;
    font-weight: bold;
    color: var(--text-dark);
}
.instagram__pages--title {
	font-size: 16px;
	font-weight: bold;
	text-align: center;
}

@media (max-width : 800px){
	.instagram .container {
		display: flex;
		flex-direction: column;
		gap: 40px;
		width: 100%;
	}
	.instagram__first_line {
		font-size: 14px;
		margin: 80px 0 0;
	}
	.instagram__ads {
		margin: 0 0 50px;
		font-size: 16px;
		line-height: 30px;
	}
	.instagram__first_line::after, .instagram__first_line::before {
		height: 25px;
		background: unset;
		border-radius: 3px;
		border: 1px solid #eee;
		border-right: 0;
		border-bottom: 0;
	}
	.instagram__first_line::before {
		border-left: 0;
		border-right: 1px solid #eee;
		margin-top: 0;
	}
	.instagram__first_line span {
		margin-top: -25px;
	}
	.instagram__pages--img {
		height: 150px;
		width: 150px;
	}
	.instagram__pages--link {
		font-size: 12px;
		padding: 5px;
	}
	.instagram__pages--info {
		width: calc(100% - 150px);
		gap: 15px;
	}
	.instagram__pages--title {
		font-size: 11px;
		line-height: 24px;
	}
	.instagram__pages--img::before, .instagram__pages--img::after {
		height: 20px;
	}
	.instagram__pages {
		margin-bottom: 30px;
	}
}

@media (max-width : 420px){
	.instagram__first_line span {
        min-width: 80%;
		text-wrap: wrap;
    }	
}